DtActionLabel(library call)

NAME
DtActionLabel — get the localizable label string for an action

SYNOPSIS

#include &<Dt/Action.h>
char *DtActionLabel(
char *actionName);

DESCRIPTION

The DtActionLabel function provides access to the localizable label string associated with an action named actionName. The actionName argument is the name of the action. The localizable label string is the string that all components should display to identify the action. If the action definition does not specify a label string, the action name itself is returned.

The label string associated with an action is localizable, but the action name is not.

If there are multiple actionName actions, the label string returned is the label associated with the most general action. The most general action is the one with the lowest precedence, as described in dtactionfile(4) (``Action Selection'').

RETURN VALUE

Upon successful completion, the DtActionLabel function returns a newly allocated copy of the localizable label string associated with the action if an action named actionName is found; otherwise, it returns NULL. It is up to the caller to free the memory associated with this new copy of the label. The default value for an action label is the action name itself.

APPLICATION USAGE

All applications displaying action names should use the action label to identify an action.

SEE ALSO

Dt/Action.h - DtAction(5), dtactionfile(4), dtdtfile(4).